Subject: Re: bug#19701: 24.3; directory-files platform-dependent behaviour when directory doesn't exist

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Jan 2015 21:07:00 +0200

> From: VIDA Gábor <[email-masked]>
> Date: Tue, 27 Jan 2015 13:55:35 +0100
> 
> On Linux when I specify a non-existing directory to directory-files, it signals an
> error:
> 
>   (directory-files "abcd")
>   eval: Opening directory: no such file or directory, /home/evidgbo/tmp/abcd
> 
> But on Windows, it returns nil:
> 
>   (directory-files "abcd")
>   => nil

That is correct.

> I think they should work tha same way regardless of the underlying
> system, and it ends up in a Gnus error, what I will report
> separately once I understand that problem better.

The Windows implementation of directory-files always worked like that;
I looked as far back as Emacs 21.4.  (Technically, this happened
because the Windows implementation of 'opendir' doesn't actually open
the directory, so it doesn't know.)

This was never a problem, though.  What exactly does Gnus do that this
subtlety gets in the way?

In any case, I fixed this in commit 9664def on the emacs-24 branch.

Thanks.